Package org.bukkit.util

# Class ChatPaginator

java.lang.Object
org.bukkit.util.ChatPaginator

public class ChatPaginator extends Object
The ChatPaginator takes a raw string of arbitrary length and breaks it down into an array of strings appropriate for displaying on the Minecraft player console.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ChatPaginator.ChatPage`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`AVERAGE_CHAT_PAGE_WIDTH`
`static final int`
`CLOSED_CHAT_PAGE_HEIGHT`
`static final int`
`GUARANTEED_NO_WRAP_CHAT_PAGE_WIDTH`
`static final int`
`OPEN_CHAT_PAGE_HEIGHT`
`static final int`
`UNBOUNDED_PAGE_HEIGHT`
`static final int`
`UNBOUNDED_PAGE_WIDTH`

## Constructor Summary

Constructors
Constructor
Description
`ChatPaginator()`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull ChatPaginator.ChatPage`
`paginate(@Nullable String unpaginatedString, int pageNumber)`
Breaks a raw string up into pages using the default width and height.
`static @NotNull ChatPaginator.ChatPage`
`paginate(@Nullable String unpaginatedString, int pageNumber, int lineLength, int pageHeight)`
Breaks a raw string up into pages using a provided width and height.
`static @NotNull String[]`
`wordWrap(@Nullable String rawString, int lineLength)`
Breaks a raw string up into a series of lines.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GUARANTEED_NO_WRAP_CHAT_PAGE_WIDTH

public static final int GUARANTEED_NO_WRAP_CHAT_PAGE_WIDTH

See Also:
  - Constant Field Values

### AVERAGE_CHAT_PAGE_WIDTH

public static final int AVERAGE_CHAT_PAGE_WIDTH

See Also:
  - Constant Field Values

### UNBOUNDED_PAGE_WIDTH

public static final int UNBOUNDED_PAGE_WIDTH

See Also:
  - Constant Field Values

### OPEN_CHAT_PAGE_HEIGHT

public static final int OPEN_CHAT_PAGE_HEIGHT

See Also:
  - Constant Field Values

### CLOSED_CHAT_PAGE_HEIGHT

public static final int CLOSED_CHAT_PAGE_HEIGHT

See Also:
  - Constant Field Values

### UNBOUNDED_PAGE_HEIGHT

public static final int UNBOUNDED_PAGE_HEIGHT

See Also:
  - Constant Field Values

## Constructor Details

### ChatPaginator

public ChatPaginator()

## Method Details

### paginate

@NotNull public static @NotNull ChatPaginator.ChatPage paginate(@Nullable @Nullable String unpaginatedString, int pageNumber)
Breaks a raw string up into pages using the default width and height.

Parameters:
  `unpaginatedString` - The raw string to break.
  `pageNumber` - The page number to fetch.
Returns:
  A single chat page.

### paginate

@NotNull public static @NotNull ChatPaginator.ChatPage paginate(@Nullable @Nullable String unpaginatedString, int pageNumber, int lineLength, int pageHeight)
Breaks a raw string up into pages using a provided width and height.

Parameters:
  `unpaginatedString` - The raw string to break.
  `pageNumber` - The page number to fetch.
  `lineLength` - The desired width of a chat line.
  `pageHeight` - The desired number of lines in a page.
Returns:
  A single chat page.

### wordWrap

@NotNull public static @NotNull String[] wordWrap(@Nullable @Nullable String rawString, int lineLength)
Breaks a raw string up into a series of lines. Words are wrapped using spaces as decimeters and the newline character is respected.

Parameters:
  `rawString` - The raw string to break.
  `lineLength` - The length of a line of text.
Returns:
  An array of word-wrapped lines.